'use strict';
const {
  Model
} = require('sequelize');
module.exports = (sequelize, DataTypes) => {
  class option extends Model {
    /**
     * Helper method for defining associations.
     * This method is not a part of Sequelize lifecycle.
     * The `models/index` file will call this method automatically.
     */
    static associate(models) {
      option.belongsTo(models.question,{
        foreignKey:'question_id',
        onDelete:'cascade'
      });
    }
  }
  option.init({
    option_text:{
      type:DataTypes.STRING,
      allowNull:false
    },
    question_id:{
      type:DataTypes.INTEGER,
      allowNull:false
    },
    is_correct:{
      type:DataTypes.BOOLEAN,
      allowNull:false,
      defaultValue:false
    }
  }, {
    sequelize,
    modelName: 'option',
    tableName:'options',
    timestamps:true
  });
  return option;
};