'use strict';
const {
  Model,
  INTEGER
} = require('sequelize');
module.exports = (sequelize, DataTypes) => {
  class question extends Model {
    /**
     * Helper method for defining associations.
     * This method is not a part of Sequelize lifecycle.
     * The `models/index` file will call this method automatically.
     */
    static associate(models) {
      question.belongsTo(models.quiz,{
        foreignKey:'quiz_id',
        onDelete:'cascade'
      })
    }
  }
  question.init({
    quiz_id: {
      type:DataTypes.INTEGER,
      allowNull:false
    },
    question_text: {
      type:DataTypes.STRING,
      allowNull:false
    }
  }, {
    sequelize,
    modelName: 'question',
    tableName:'questions',
    timestamps:true
  });
  return question;
};