'use strict';
const {
  Model
} = require('sequelize');
module.exports = (sequelize, DataTypes) => {
  class user_quizzes extends Model {
    /**
     * Helper method for defining associations.
     * This method is not a part of Sequelize lifecycle.
     * The `models/index` file will call this method automatically.
     */
    static associate(models) {
      user_quizzes.belongsTo(models.user,{
        foreignKey:'user_id',
        onDelete:'cascade'
      });
      user_quizzes.belongsTo(models.quiz,{
        foreignKey:'quiz_id',
        onDelete:'cascade'
      });
    }
  }
  user_quizzes.init({
    user_id:{
      type:DataTypes.INTEGER,
      allowNull:false
    },
    quiz_id:{
      type:DataTypes.INTEGER,
      allowNull:false
    },
    status:{
      type:DataTypes.STRING,
      allowNull:false,
      defaultValue:'pending'
    }
  }, {
    sequelize,
    modelName: 'user_quizzes',
    tableName:'user_quizzes'
  });
  return user_quizzes;
};