const jwt = require('jsonwebtoken');
const db = require('../../models');

exports.register = async (req, res) => {
  const { email, password, role = 'user' } = req.body;

  try {
    const existing = await db.user.findOne({ where: { email } });
    if (existing) {
      return res.json({ message: 'User already registered' });
    }
    await db.user.create({ email, password, role });
    res.json({ message: 'User registered successfully' });
  } catch (err) {
    res.json({ message: 'Registration failed', error: err.message });
  }
};

exports.login = async (req, res) => {
  const { email, password } = req.body;

  try {
    const user = await db.user.findOne({ where: { email, password } });

    if (!user) {
      return res.json({ message: 'Invalid credentials' });
    }

    const token = jwt.sign(
      { userId: user.id, email: user.email, role: user.role },
      process.env.JWT_SECRET,
      { expiresIn: process.env.JWT_EXPIRES_IN }
    );

    res.json({
      message: 'Login successful',
      token,
      role: user.role
    });
  } catch (err) {
    res.status(500).json({ message: 'Login failed', error: err.message });
  }
};
